<script type="text/html" data-help-name="dim-value-server">
  <p>A DIM Server node providing a service for publishing values.</p>
  <h3>Inputs</h3>
  <dl class="message-properties">
    <dt>
      payload
      <span class="property-type">
        string | number | buffer | array | object
      </span>
    </dt>
    <dd>
      The value to publish. If this property is not set, no value will be sent.
    </dd>
  </dl>
  <h3>Outputs</h3>
  <dl class="message-properties">
    <dt>
      payload
      <span class="property-type">
        string | number | buffer | array | object
      </span>
    </dt>
    <dd>The updated value.</dd>
  </dl>
  <h3>Details</h3>
  <p>
    This node registers a service on a DIM Name Server (DNS). A connection to
    the DNS Server is required for this purpose, which can be created by
    clicking on the pencil icon or selecting an existing one shared between
    several DIM nodes.
  </p>
  <p>The service consists of:</p>
  <ul>
    <li><i>Service Name</i>, the service identifier. It must be unique for a
      given DNS Server and comply the following
      <a target="_blank" href="https://www.rfc-editor.org/info/rfc5234">
        abnf syntax
      </a>:
      <pre><b>part *( "/" part )</b>
        <br>part = (ALPHA / DIGIT) *body
        <br>body = (ALPHA / DIGIT / "-" / "+" / "_" / "." / ":")</pre>
    <li><i>Service Definition</i>, the data content that the service provide.
      It must match the following
      <a target="_blank" href="https://www.rfc-editor.org/info/rfc5234">
        abnf syntax
      </a>:
      <pre><b>*(type ":" num ";") type [":" num]</b>
        <br>type = "C" / "S" / "I" / "X" / "F" / "D"
        <br>num = 1*DIGIT</pre>
      <p>
        where types are:
        <table style="outline-width:#888 solid thin">
          <tr><th width="50px">type</th><th width="80px">description</th></tr>
          <tr><td><left>C</left></td><td><center>string</center></td></tr>
          <tr><td><left>S</left></td><td><center>int16</center></td></tr>
          <tr><td><left>I</left></td><td><center>int32</center></td></tr>
          <tr><td><left>X</left></td><td><center>int64</center></td></tr>
          <tr><td><left>F</left></td><td><center>float</center></td></tr>
          <tr><td><left>D</left></td><td><center>double</center></td></tr>
        </table>
      </p>
      <li><i>Value</i>, the default value of service.
  </ul>
  <p>
    <b>Examples</b>:
    <ul>
      <li><i>Service Name</i>: <pre>/service/name/test</pre>
      <li><i>Service Definition</i>: <pre>I:2;C</pre>
    </ul>
  </p>
</script>

<script type="text/html" data-help-name="dim-json-server">
  <p>A DIM Server node providing a service for publishing JSON strings.</p>
  <h3>Inputs</h3>
  <dl class="message-properties">
    <dt>
      payload
      <span class="property-type">
        string | boolean | number | buffer | object
      </span>
    </dt>
    <dd>
      The value to convert to a JSON string and publish. If this property is
      not set, no JSON string will be sent.
    </dd>
  </dl>
  <h3>Outputs</h3>
  <dl class="message-properties">
    <dt>
      payload
      <span class="property-type">string</span>
    </dt>
    <dd>The updated value in JSON format.</dd>
  </dl>
  <h3>Details</h3>
  <p>
    This node is a specialisation of the <code>DIM Value Server</code> node as
    it only publishes JSON strings.
  </p>
  <p>
    For further details, see <code>DIM Value Server</code> node.
  </p>
</script>
